%define name	tmda
%define version	0.46
%define release	1mdk
%define pythver	2.2

Summary:	Tagged Message Delivery Agent
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	BSD
Group:		Networking/Mail
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires:	python >= 2.0
Requires:	python = %{pythver}
URL:		http://tmda.sourceforge.net/

%description
TMDA is an OSI certified software application designed to significantly 
reduce the amount of SPAM/UCE (junk-mail) you receive.  TMDA combines a 
"whitelist" (for known/trusted senders), a "blacklist" (for undesired 
senders), and a cryptographically enhanced confirmation system (for unknown, 
but legitimate senders).

%prep
%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
python ./compileall

%install
%define pyprefix %(python -c 'import sys; print sys.prefix')
%define pyver %(python -c 'import sys; print sys.version[:3]')
%define pylibdir %{pyprefix}/lib/python%{pyver}/site-packages
mkdir -p %{buildroot}/{%{_bindir},%{_datadir}/tmda,%{pylibdir}/TMDA}
install -m 755 bin/tmda-* %{buildroot}%{_bindir}
install -m 644 templates/*.txt %{buildroot}%{_datadir}/tmda
install -m 644 TMDA/*.{py,pyc} %{buildroot}%{pylibdir}/TMDA

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc --parents ChangeLog COPYRIGHT CRYPTO INSTALL README THANKS UPGRADE contrib/ htdocs/{README,*.html}
%{_bindir}/*
%{pylibdir}/TMDA/*.py
%verify(not size md5 mtime) %{pylibdir}/TMDA/*.pyc
%{_datadir}/tmda/*

%changelog
* Fri Feb  8 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.46-1mdk
- 0.46

* Sun Feb  3 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.45-1mdk
- 0.45
- buildrequires: python >= 2.0
- requires is now explicit to python version for binary builds

* Thu Jan 10 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.44-1mdk
- 0.44

* Tue Dec 11 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.42-1mdk
- 0.42

* Sat Dec  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.41-1mdk
- first Mandrake version
